# Functional Testing

## Without Pathauto enabled

### Create a node, add an alias, and lock it.

1. Go to _node/add/page_
1. Enter all required fields.
1. Click on URL path settings, assert the _Lock alias..._ is not present.
1. Enter an alias; assert the _Lock alias..._ appears.
1. Assert the _To lock a different alias..._ is not showing.
1. Check the lock checkbox; assert the alias box disappears; assert the fieldset title shows _Locked as: {alias}_.
1. Uncheck the lock checkbox; assert the alias box reappears; assert the fieldset title returns to _Alias: {alias}_.
1. Check the lock checkbox and submit form.
1. Assert message, "The alias for node/{nid} is now locked as: {alias}"
1. Assert the record appears in _alias_lock_ table with all correct values including `pid`.

### Edit an existing node's locked alias

1. Reload the form and assert the lock is checked and the alias textfield is hidden.
1. Assert the fieldset title shows _Locked as: {alias}_
1. Assert the delete button is disabled.
1. Uncheck the lock; assert the alias textfield appears.
1. Change the alias; assert the checkbox is replaced with "To lock a different alias...".
1. Change the alias back to original; assert the checkbox reappears.
1. Leave unchecked and resubmit form; assert message "The alias for node/{nid} has been unlocked.".
1. Assert the record no longer appears in _alias_lock_ table.

### Save a new node, lock alias, but use existing alias

1. Go to _node/add/page_
1. Enter all required fields.
1. For the alias use a known existing alias and lock it; submit the form.
1. Assert you can see the alias textfield and the error condition.
1. Correct to a unique alias and submit form.
1. Reload the form and assert the lock is checked and the alias textfield is hidden.
1. Assert the fieldset title shows _Locked as: {alias}_


### Delete a node with a locked alias

1. 
